/*                                Copyright 1996
**                                      by
**                         The Board of Trustees of the
**                       Leland Stanford Junior University.
**                              All rights reserved.
**
**
**         Work supported by the U.S. Department of Energy under contract
**       DE-AC03-76SF00515.
**
**                               Disclaimer Notice
**
**        The items furnished herewith were developed under the sponsorship
**   of the U.S. Government.  Neither the U.S., nor the U.S. D.O.E., nor the
**   Leland Stanford Junior University, nor their employees, makes any war-
**   ranty, express or implied, or assumes any liability or responsibility
**   for accuracy, completeness or usefulness of any information, apparatus,
**   product or process disclosed, or represents that its use will not in-
**   fringe privately-owned rights.  Mention of any product, its manufactur-
**   er, or suppliers shall not, nor is it intended to, imply approval, dis-
**   approval, or fitness for any particular use.  The U.S. and the Univer-
**   sity at all times retain the right to use and disseminate the furnished
**   items for any purpose whatsoever.                       Notice 91 02 01
*/

#include   <dbDefs.h>
#include   <registryFunction.h>
#include   <subRecord.h>
#include   <epicsExport.h>
#include   <stdio.h>

typedef long (*processMethod)(subRecord *precord);

static long subCounterInit(subRecord *psub, processMethod process)
{
  psub->val = 0;
  return 0;
}

static long subCounter(subRecord *psub)
{
  /*
   * Inputs:  A = Reset input
   *          B = Enable input
   *          VAL = (A) ? 0 : (B) ? VAL++ : VAL
   */

  if (psub->a)
    psub->val = 0;
  else if (psub->b)
    psub->val++;

  return 0;
}

static registryFunctionRef subCounterRef[] = {
  {"subCounterInit", (REGISTRYFUNCTION)subCounterInit},
  {"subCounter", (REGISTRYFUNCTION)subCounter}
};

static void subCounterRegistrar(void)
{
  registryFunctionRefAdd(subCounterRef, NELEMENTS(subCounterRef));
}
epicsExportRegistrar(subCounterRegistrar);
